#include <avr/io.h>
#include <avr/interrupt.h>

int seven_led[] ={0x88, 0xEB, 0x4C, 0x49, 0x2B, 0x19, 0x38, 0x8B, 0x08, 0x0B};


volatile int	number=0;
volatile long	timer=0;


SIGNAL(SIG_OVERFLOW0)
{
	number++;
}


int main(void)
{ 
	DDRA = 0xFF;
	DDRC = 0XFF;

	ASSR = ASSR | 1 << AS0 ; // 외부클럭 이용
	
	TIMSK = TIMSK | 1 << TOIE0; //나머지는 0이고 해당비트만 1
	
	TCCR0 = 5; // 클럭 분주
	
	sei();
	
	while(1){
			PORTA = seven_led[number % 10];
				
	}
	
return 0;
}